<?php 

	if(empty($productAttributeCombination) && empty($primaryAttributeOption)) {
			
		$variantHandler =  "no-attributes";
		$variantOptionIds = array();

	} else {

		if(!empty($productAttributeCombination)) {

			$variantOptionIds = Hash::extract($productAttributeCombination, '{n}.id');
		
		} else {

			$variantOptionIds = array();
			
		}
	
		if(!empty($primaryAttributeOption)) {
			$variantOptionIds[] = $primaryAttributeOption['id'];
		}

		sort($variantOptionIds);
		$variantHandler = implode("-", $variantOptionIds);

	}

	//A variant with this combination or product attribute options exists so we show the edit form
	if(!isset($this->request->data['ProductVariant'][$variantHandler]) || $this->request->data['ProductVariant'][$variantHandler]['price'] != "") {

		//A variant with this combination or product attribute options exists so we show the edit form
		
		echo $this->Form->addField('ProductVariant.'.$variantHandler.'.id', array(
			'type' => 'hidden'
		));

		echo $this->Form->addField('ProductVariant.'.$variantHandler.'.stock', array(
			'type' => 'integer', 
			'label' => isset($label) ? $label : false
		));

	} else {

		echo "<div class=\"input\">Not Available</div>";

	}
	

?>
